Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkUnstructuredGridToUnstructuredGridFilter Class Reference

`#include <vtkUnstructuredGridToUnstructuredGridFilter.h>`

Inheritance diagram for vtkUnstructuredGridToUnstructuredGridFilter:

[legend]
Collaboration diagram for vtkUnstructuredGridToUnstructuredGridFilter:

[legend]
List of all members.

## Detailed Description

abstract filter class

Date:
  2002/10/04 20:43:44

Revision:
  1.16

See also:
  vtkExtractGrid

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (72%)
  - Cedilnik, Andy (13%)
  - Lorensen, Bill (11%)

CVS logs (CVSweb):
  - .`cxx` (`/Filtering/vtkUnstructuredGridToUnstructuredGridFilter.cxx)`
  - .`h` (`/Filtering/vtkUnstructuredGridToUnstructuredGridFilter.h)`

Definition at line 44 of file vtkUnstructuredGridToUnstructuredGridFilter.h.

## Public Types
typedef vtkUnstructuredGridSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetInput (vtkUnstructuredGrid *input)
vtkUnstructuredGrid * | GetInput ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkUnstructuredGridToUnstructuredGridFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkUnstructuredGridToUnstructuredGridFilter ()
| ~vtkUnstructuredGridToUnstructuredGridFilter ()

## Member Typedef Documentation

typedef vtkUnstructuredGridSource vtkUnstructuredGridToUnstructuredGridFilter::Superclass

| Reimplemented from vtkUnstructuredGridSource. Reimplemented in vtkExtractUnstructuredGrid, vtkSubdivideTetra, vtkExtractUnstructuredGridPiece, and vtkTransmitUnstructuredGridPiece. Definition at line 47 of file vtkUnstructuredGridToUnstructuredGridFilter.h.

## Constructor & Destructor Documentation

vtkUnstructuredGridToUnstructuredGridFilter::vtkUnstructuredGridToUnstructuredGridFilter | ( |  | ) | `[inline, protected]`

| Definition at line 57 of file vtkUnstructuredGridToUnstructuredGridFilter.h.

vtkUnstructuredGridToUnstructuredGridFilter::~vtkUnstructuredGridToUnstructuredGridFilter | ( |  | ) | `[inline, protected]`

| Definition at line 58 of file vtkUnstructuredGridToUnstructuredGridFilter.h.

## Member Function Documentation

virtual const char* vtkUnstructuredGridToUnstructuredGridFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkUnstructuredGridSource. Reimplemented in vtkExtractUnstructuredGrid, vtkSubdivideTetra, vtkExtractUnstructuredGridPiece, and vtkTransmitUnstructuredGridPiece.

int vtkUnstructuredGridToUnstructuredGridFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkUnstructuredGridSource. Reimplemented in vtkExtractUnstructuredGrid, vtkSubdivideTetra, vtkExtractUnstructuredGridPiece, and vtkTransmitUnstructuredGridPiece.

virtual int vtkUnstructuredGridToUnstructuredGridFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkUnstructuredGridSource. Reimplemented in vtkExtractUnstructuredGrid, vtkSubdivideTetra, vtkExtractUnstructuredGridPiece, and vtkTransmitUnstructuredGridPiece.

vtkUnstructuredGridToUnstructuredGridFilter* vtkUnstructuredGridToUnstructuredGridFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkUnstructuredGridSource. Reimplemented in vtkExtractUnstructuredGrid, vtkSubdivideTetra, vtkExtractUnstructuredGridPiece, and vtkTransmitUnstructuredGridPiece.

void vtkUnstructuredGridToUnstructuredGridFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkUnstructuredGridSource. Reimplemented in vtkExtractUnstructuredGrid, vtkSubdivideTetra, vtkExtractUnstructuredGridPiece, and vtkTransmitUnstructuredGridPiece.

void vtkUnstructuredGridToUnstructuredGridFilter::SetInput | ( | vtkUnstructuredGrid * | input | ) |

| Set / get the input Grid or filter.

vtkUnstructuredGrid* vtkUnstructuredGridToUnstructuredGridFilter::GetInput | ( |  | ) |

| Set / get the input Grid or filter.

The documentation for this class was generated from the following file:

- Filtering/vtkUnstructuredGridToUnstructuredGridFilter.h